Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::cone_node Class Reference

Inheritance diagram for openvrml::vrml97_node::cone_node:

[legend]
List of all members.

## Detailed Description

Cone node instances.

## Public Member Functions

| cone_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~cone_node () throw ()
| Destroy.

## Private Member Functions

virtual viewer::object_t | do_render_geometry (openvrml::viewer &viewer, rendering_context context)
| Insert this geometry into `viewer's` display list.

## Private Attributes

sfbool | bottom
| bottom field.
sffloat | bottomRadius
| bottomRadius field.
sffloat | height
| height field.
sfbool | side
| side field.

## Friends

class | cone_class
| Class object for Cone nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::cone_node::cone_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::cone_node::~cone_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

viewer::object_t openvrml::vrml97_node::cone_node::do_render_geometry | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Insert this geometry into `viewer's` display list.

Parameters:

  | viewer | a Viewer.
  | context | the rendering context.

Reimplemented from openvrml::geometry_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::cone_node::cone_class`[friend]`

| Class object for Cone nodes.

## Member Data Documentation

sfbool openvrml::vrml97_node::cone_node::bottom `[private]`

| bottom field.

sffloat openvrml::vrml97_node::cone_node::bottomRadius `[private]`

| bottomRadius field.

sffloat openvrml::vrml97_node::cone_node::height `[private]`

| height field.

sfbool openvrml::vrml97_node::cone_node::side `[private]`

| side field.